Subject: Upgrading Red Hat

From: Damian Le Gresley <[email-masked]>
Date: Thu, 19 Nov 1998 10:33:13 +0000

I have noticed from skimming through a few books on Linux that Red Hat
is now on version 5 and above.  I am running Red Hat 3.0.3, which is
what was included on the Clan CD.  Can ARM Linux support the later
versions of Red Hat - I would like to install them, but do not want to
break the setup that I have already got.

Thanks

Damian
-- 
Damian Le Gresley
Third Year Electrical and Electronic Engineering Student
At Bath University
Visit my homepages at http://www.bath.ac.uk/~ee6dflg
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

---

From: Paul Vigay <[email-masked]>
Date: Thu, 19 Nov 1998 21:19:17 +0000 (GMT)

In article <[email-masked]>,
> break the setup that I have already got.

You can't just install them because the RedHat 5 CDs floating around are
generally for the Intel platform. You would basically need to recompile them
all from the source code - no mean feat! :-(

Is anyone working on this, and are we likely to see a newer distribution for
ARMLinux?

-- 
Paul Vigay                                               Acorn Programming,
                                         __\\|//__      Internet Consultancy
Web: http://www.matrix.clara.net         (` o-o ')          & Web Design
BBS: +44 (0)1705 871531 (ansi,8n1) -----ooO-(_)-Ooo--------------------------

Make up your mind, fool.

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Thu, 19 Nov 1998 23:03:19 +0000 (GMT)

> break the setup that I have already got.

It's not actually 3.0.3, but a mixture of 3.0.3, 4.0 and 4.2.  I'm not
currently working on a later RedHat for ARMLinux at the moment.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |  http://www.arm.linux.org.uk/~rmk/armlinux.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

---

From: Phil Norman <[email-masked]>
Date: Fri, 20 Nov 1998 10:30:05 +0000

In message <[email-masked]>

>> I have noticed from skimming through a few books on Linux that Red Hat is
>> now on version 5 and above.  I am running Red Hat 3.0.3, which is what was
>> included on the Clan CD.  Can ARM Linux support the later versions of Red
>> Hat - I would like to install them, but do not want to break the setup
>> that I have already got.
> 
> generally for the Intel platform. You would basically need to recompile
> them all from the source code - no mean feat! :-(

The main problem with trying to use anything above version 3 is that versions
4.* and 5.* are ELF-based distributions.  So once we have working ELF for the
masses, 5 could be ported without much hassle (although debian's nicer).

Cheers,
Phil

---

From: Alan Cox <[email-masked]>
Date: Sat, 21 Nov 1998 03:09:01 +0000 (GMT)

> masses, 5 could be ported without much hassle (although debian's nicer).

Once all your tools work its about 2 man weeks to retarget Red Hat and 
build it, but you do want a fast box and 3 or 4 gig of disk
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

---

From: Philip Blundell <[email-masked]>
Date: Sat, 21 Nov 1998 11:41:37 +0100

>masses,

Which we do, basically.  The only awkward bit about ELF is now the transition 
itself and the fact that most random users don't want to rebuild their entire 
system from source.  So it's almost entirely a distribution problem.

All the Debian and Red Hat distributions for the ARM that are currently being 
worked on use ELF as far as I know.

p.